# Method: accounts.locations.batchGet

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGet#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGet#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGet#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGet#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGet#body.BatchGetLocationsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGet#body.aspect)

Gets all of the specified locations in the given account.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{name=accounts/*}/locations:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the account from which to fetch locations. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "locationNames": [ string ] } ``` |

| Fields ||
|---|---|
| `locationNames[]` | `string` A collection of locations to fetch, specified by their names. |

### Response body

If successful, the response body contains data with the following structure:
Response message for Locations.BatchGetLocations.

| JSON representation ||
|---|---|
| ``` { "locations": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`) } ] } ``` |

| Fields ||
|---|---|
| `locations[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`)`` A collection of locations. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).